cloudstack-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CLOUDSTACK-9780) Default to Java8 if JAVA_HOME is not set
Date Fri, 10 Feb 2017 19:23:41 GMT

    [ https://issues.apache.org/jira/browse/CLOUDSTACK-9780?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15861720#comment-15861720
] 

ASF GitHub Bot commented on CLOUDSTACK-9780:
--------------------------------------------

Github user rafaelweingartner commented on the issue:

    https://github.com/apache/cloudstack/pull/1938
  
    @Swill, I have a question (actually two) :)
    
    If “JAVA_HOME” is not set, or if “JAVA_HOME” content does not exist, we check
if there is a java installation. I have a doubt about this last path we are checking. Is this
path “/usr/lib/jvm/jre-1.8.0” default (some sort of standard)?
    
    I ask because (at least on Debian, or at least the Debian I am using) whenever I install
using “aptitude”, the java versions were added to folders following the pattern: “/usr/lib/jvm/java-<version>-openjdk-<processorArchiteture>/jre/”.
Of course, this is for OpenJDK installed with “aptitude”.
    
    Are we assuming that the user when installing manually (e.g. installing the JRE from Oracle)
will put Java JRE files in a folder like “/usr/lib/jvm/jre-1.8.0”?
    
    This will also only work for Java JRE 1.8.0, if users install Java JRE 1.8.1 and use the
version as the name of the folder, this would not work. Of course, all can be fixed by setting
the JAVA_HOME. 
    
    Would not it be better to cause an exception and stop the deployment with a message saying
that we require the “JAVA_HOME” to be set? Then, it feels that we will be consistent;
otherwise, I can imagine a user complaining that she/he has installed the Java 8 (1.8.x; where
x > 0), but still ACS does not work. 
    
    What do you think?


> Default to Java8 if JAVA_HOME is not set
> ----------------------------------------
>
>                 Key: CLOUDSTACK-9780
>                 URL: https://issues.apache.org/jira/browse/CLOUDSTACK-9780
>             Project: CloudStack
>          Issue Type: Bug
>      Security Level: Public(Anyone can view this level - this is the default.) 
>    Affects Versions: 4.10.0.0
>            Reporter: Will Stevens
>
> Now that PR1888 is merged, Java8 is required.  Unfortunately the file pushed to `/etc/cloudstack/management/classpath.conf`
will default to Java7 if the JAVA_HOME is not set.  



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message